Apache C++ Standard Library Reference Guide

## length_error

Library: Diagnostics

    length_error  logic_error  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <stdexcept>

### Description

Objects of class length_error are thrown when a container operation would create a container with a number of elements that exceed its maximum size. The class is derived from logic_error, and thrown by string, vector, and others.

### Interface

    namespace std {
      class length_error : public logic_error {
      public:
        explicit length_error(const string&  what_arg );
      };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_exception, bad_typeid, domain_error, exception, invalid_argument, ios_base::failure, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 19.1.4